org.eclipse.emf.facet.efacet.ui

## Class LoadFacetSetShortcutsMenuUtils

- java.lang.Object
- - org.eclipse.emf.facet.efacet.ui.LoadFacetSetShortcutsMenuUtils

    public final class LoadFacetSetShortcutsMenuUtils
    extends java.lang.Object

Since:
  1.1
Noinstantiate:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static ActionContributionItem` `createMenuItem(java.lang.String itemId, java.util.List<? extends FacetSet> activeFacetSets, Action newAction)`
`static IContributionItem[]` `getFacetSetItemsFromCurrentEditor()`
`static IContributionItem[]` `getFacetSetItemsFromCurrentPart()`
`static <T> T` `getProviderFromCurrentEditor(java.lang.Class<T> providerType)`
`static <T> T` `getProviderFromCurrentPart(java.lang.Class<T> providerType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFacetSetItemsFromCurrentPart

    public static IContributionItem[] getFacetSetItemsFromCurrentPart()

#### getFacetSetItemsFromCurrentEditor

    public static IContributionItem[] getFacetSetItemsFromCurrentEditor()

#### getProviderFromCurrentPart

    public static <T> T getProviderFromCurrentPart(java.lang.Class<T> providerType)

#### getProviderFromCurrentEditor

    public static <T> T getProviderFromCurrentEditor(java.lang.Class<T> providerType)

#### createMenuItem

    public static ActionContributionItem createMenuItem(java.lang.String itemId,
                                                        java.util.List<? extends FacetSet> activeFacetSets,
                                                        Action newAction)